var redis = require("redis")
var debug = require("util").debuglog("nyu")

module.exports = function ($config) {
	try {
		var config = $config.get("database::redis")
		var client = redis.createClient(config.port, config.host, function (err) {
			if (err) {
				debug("failed to create redis client", ex)
			}
		})

		if (config.password) {
			client.auth(config.password, function (err) {
				if (err) {
					debug("failed to authenticate redis client", ex)
				}
			})
		}

		if (config.db) {
			client.select(config.db, function (err) {
				if (err) {
					debug("failed to select redis database", ex)
				}
			})
		}

		return client
	} catch (ex) {
		debug("failed to create redis client", ex)
		return null
	}
}
