var session = require("koa-generic-session")
var MemoryStore = session.MemoryStore
var RedisStore = require("koa-redis")

module.exports = function ($config, $redis) {
	var opts = $config.get("session")

	var store = new MemoryStore()

	if (opts.store) {
		switch (opts.store.type) {
			case "redis":
				store = require("koa-redis")({ client: $redis })
				break
		}
	}

	opts.store = store
	return session(opts)
}
