var util = require("util")
var strformat = require('strformat')

module.exports = function (opts) {
	var opts = opts || {}
	var key = opts.key || 'koa-flash'

	return function* (next) {
		if (this.session === undefined) {
			throw new Error('koa-flash requires the koa-session middleware.')
		}

		var data = this.session[key] || {}
		this.session[key] = {}
		
		Object.defineProperty(this, 'flash', {
			enumerable: true,
			get: function() {
				return data
			},

			set: function(val) {
				this.session[key] = val
			}
		})

		yield *next;
	}
}
