exports.Route = require("./route")
exports.Resource = require("./resource")
exports.Redirect = require("./redirect")

exports.create = function (router, name, options) {
	options = options || {}
	options.type = options.type || "route"
	
	var type = options.type[0].toUpperCase() + options.type.substr(1)

	if (!exports[type]) {
		throw new Error("route type " + type + " not found")
	}

	return new exports[type](router, name, options)
}
